architecture: replication

auth:
  enabled: true
  password: "Hi5Jessica!"

master:
  persistence:
    enabled: true
    storageClass: "managed"
    size: 10Gi

  configuration: |
    maxmemory 1610612736
    maxmemory-policy allkeys-lru
    appendonly yes
    appendfsync everysec
    save 900 1 300 10 60 10000
    
  resources:
    limits:
      memory: "2Gi"
      cpu: "1"
    requests:
      memory: "1Gi"
      cpu: "0.5"
     
replica:
  replicaCount: 2
  persistence:
    enabled: true
    storageClass: "managed"
    size: 10Gi
  configuration: |
    maxmemory 1610612736
    maxmemory-policy allkeys-lru   
  resources:
    limits:
      memory: "2Gi" 
      cpu: "1"
    requests:
      memory: "1Gi"
      cpu: "0.5"

sentinel:
  enabled: true
  quorum: 2
  image:
    registry: registry-1.docker.io
    repository: bitnamilegacy/redis-sentinel
     
service:
  type: ClusterIP
  ports:
    redis: 6379

podAntiAffinityPreset: soft

securityContext:
  enabled: true
  fsGroup: 1001
  runAsUser: 1001


# image: organization이 bitnami -> bitnamilegacy로 변경   
image:
  registry: registry-1.docker.io
  repository: bitnamilegacy/redis
